#ifndef _FrameTimer_HPP_
#define _FrameTimer_HPP_

#include "externs.hpp"

class FrameTimer
{
public:
    FrameTimer();
    //eka luku = päivitysten väli (ms), toka luku = kuinka monta kertaa max
    FrameTimer(int updatetime, int maxiterations);

    int getDeltaTime();
    void set(int updatetime, int maxiterations);

    //kutsu update joka frame
    void update();
    //looppaa tätä
    bool stepsLeft();
    //loopin loppuun tämä
    void endStep();

private:
    int dt; //delta edellisen framen jäljiltä
    int prevtime; //edellinen frame
    int cumultime; //kokonaisaika
    int updatetime; //kuinka usein päivitetään (ms)
    int maxiterations; //kuinka monta kertaa max



};


#endif